BaseRequest (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.http.BaseRequest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.http
Class BaseRequest

    java.lang.Object
      org.apache.tomcat.util.http.BaseRequest

    public class BaseRequest

extends java.lang.Object

A general-purpose object for representing an HTTP request.

Field Summary
`static java.lang.String` | `SCHEME_HTTP`
`static java.lang.String` | `SCHEME_HTTPS`

Constructor Summary
`BaseRequest()`

Method Summary
`MessageBytes` | `authorization()` Get the authorization credentials
`MessageBytes` | `authType()` Get the auth type
`MessageBytes` | `contentType()` Get the content type
`Cookies` | `cookies()` Get cookies.
`java.lang.Object` | `getAttribute(java.lang.String name)` Get an attribute on the request
`java.util.Iterator` | `getAttributeNames()` Get iterator over attribute names
`int` | `getContentLength()` Get the content length
`java.lang.Object` | `getNote(int id)`
`java.lang.String` | `getScheme()` Get the scheme
`boolean` | `getSecure()` Get whether the request is secure or not.
`int` | `getServerPort()` Get the server port
`MimeHeaders` | `headers()` Get this request's headers
`MessageBytes` | `instanceId()` Get the host id ( or jvmRoute )
`MessageBytes` | `jvmRoute()`
`MessageBytes` | `method()` Get the method.
`MessageBytes` | `protocol()` Get the protocol
`MessageBytes` | `queryString()` Get the query string
`void` | `recycle()` Recycles this object and readies it further use.
`MessageBytes` | `remoteAddr()` Get the remote address
`MessageBytes` | `remoteHost()` Get the remote host
`MessageBytes` | `remoteUser()` Get the remote user
`MessageBytes` | `requestURI()` Get the request uri
`MessageBytes` | `serverName()` Get the server name
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Set an attribute on the request
`void` | `setContentLength(int i)` Set the content length
`void` | `setNote(int id, java.lang.Object cr)`
`void` | `setScheme(java.lang.String s)` Set the scheme.
`void` | `setSecure(boolean b)` Set whether the request is secure or not.
`void` | `setServerPort(int i)` Set the server port
`java.lang.String` | `toString()` ** SLOW ** for debugging only!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SCHEME_HTTP

    public static final java.lang.String SCHEME_HTTP

See Also:
  Constant Field Values

### SCHEME_HTTPS

    public static final java.lang.String SCHEME_HTTPS

See Also:
  Constant Field Values

Constructor Detail

### BaseRequest

    public BaseRequest()

Method Detail

### recycle

    public void recycle()

  Recycles this object and readies it further use.

### method

    public MessageBytes method()

  Get the method.

  Returns:
    the method

### protocol

    public MessageBytes protocol()

  Get the protocol

  Returns:
    the protocol

### requestURI

    public MessageBytes requestURI()

  Get the request uri

  Returns:
    the request uri

### remoteAddr

    public MessageBytes remoteAddr()

  Get the remote address

  Returns:
    the remote address

### remoteHost

    public MessageBytes remoteHost()

  Get the remote host

  Returns:
    the remote host

### serverName

    public MessageBytes serverName()

  Get the server name

  Returns:
    the server name

### getServerPort

    public int getServerPort()

  Get the server port

  Returns:
    the server port

### setServerPort

    public void setServerPort(int i)

  Set the server port

  Parameters:
    `i` - the server port

### remoteUser

    public MessageBytes remoteUser()

  Get the remote user

  Returns:
    the remote user

### authType

    public MessageBytes authType()

  Get the auth type

  Returns:
    the auth type

### queryString

    public MessageBytes queryString()

  Get the query string

  Returns:
    the query string

### authorization

    public MessageBytes authorization()

  Get the authorization credentials

  Returns:
    the authorization credentials

### getScheme

    public java.lang.String getScheme()

  Get the scheme

  Returns:
    the scheme

### setScheme

    public void setScheme(java.lang.String s)

  Set the scheme.

  Parameters:
    `s` - the scheme

### getSecure

    public boolean getSecure()

  Get whether the request is secure or not.

  Returns:
    `true` if the request is secure.

### setSecure

    public void setSecure(boolean b)

  Set whether the request is secure or not.

  Parameters:
    `b` - `true` if the request is secure.

### getContentLength

    public int getContentLength()

  Get the content length

  Returns:
    the content length

### setContentLength

    public void setContentLength(int i)

  Set the content length

  Parameters:
    `i` - the content length

### contentType

    public MessageBytes contentType()

  Get the content type

  Returns:
    the content type

### headers

    public MimeHeaders headers()

  Get this request's headers

  Returns:
    request headers

### cookies

    public Cookies cookies()

  Get cookies.

  Returns:
    request cookies.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Set an attribute on the request

  Parameters:
    `name` - attribute name
    `value` - attribute value

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Get an attribute on the request

  Parameters:
    `name` - attribute name
  Returns:
    attribute value

### getAttributeNames

    public java.util.Iterator getAttributeNames()

  Get iterator over attribute names

  Returns:
    iterator over attribute names

### instanceId

    public MessageBytes instanceId()

  Get the host id ( or jvmRoute )

  Returns:
    the jvm route

### jvmRoute

    public MessageBytes jvmRoute()

### getNote

    public final java.lang.Object getNote(int id)

### setNote

    public final void setNote(int id,
                              java.lang.Object cr)

### toString

    public java.lang.String toString()

  ** SLOW ** for debugging only!

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.